×

Discussion Board

Results 1 to 10 of 10
  1. #1
    Registered User
    Join Date
    Nov 2007
    Posts
    444

    Update Error on N80 & E61

    Hi all,

    My application needs only ReadUserData and NetworkServices capabilities so I signed it by Self sign cert.

    Now I can Install it successfully on E50 , but when I am trying to install it on Nokia N80 or E61, am getting "Update Error".

    I read the wiki for the "Update Error" but don't exactly know what I have to do for this.

    I think it has the UID problem than why that's not for E50.
    What should I have to do with UID to make my application to work for any 3rd ed. phone?
    Also I have not used any file that is common to two applications.

    Also I don't think it has any API problem as most of APIs we used in my application are common.
    My application is just dialog based application.

    Regards,
    Kavit.

  2. #2
    Regular Contributor
    Join Date
    Mar 2006
    Posts
    280

    Re: Update Error on N80 & E61

    You could try a master reset on the handset and see if it installs. "Update error" is a bit vague, but it is generally because you can't overwrite something. You could post your pkg file here and someone might be able to spot what is wrong. (you might have a name clash)

    Or it could be because you have changed the type of signing or a UID.

  3. #3
    Registered User
    Join Date
    Nov 2007
    Posts
    444

    Re: Update Error on N80 & E61

    Hi Nigel,

    Thanks for reply.

    My pkg file is as follow:
    ; Installation file for MobiDrum application
    ;
    ; This is an auto-generated PKG file by Carbide.
    ; This file uses variables specific to Carbide builds that will not work
    ; on command-line builds. If you want to use this generated PKG file from the
    ; command-line tools you will need to modify the variables with the appropriate
    ; values: C:\Symbian\9.1\S60_3rd_MR_2\, GCCE, UREL
    ;
    ;Language - standard language definitions
    &EN

    ; standard SIS file header
    #{"MobiDrum"},(0xE556E8E0),1,0,0

    ;Localised Vendor name
    %{"Vendor-EN"}

    ;Unique Vendor name
    :"Vendor"

    ;Supports Series 60 v 3.0
    [0x101F7961], 0, 0, 0, {"Series60ProductID"}

    ;Files to install
    ;You should change the source paths to match that of your environment
    ;<source> <destination>
    "C:\Symbian\9.1\S60_3rd_MR_2\Epoc32\release\GCCE\UREL\MobiDrum_0xE556E8E0.exe" -"!:\sys\bin\MobiDrum_0xE556E8E0.exe"
    "C:\Symbian\9.1\S60_3rd_MR_2\Epoc32\data\z\resource\apps\MobiDrum_0xE556E8E0.rsc" -"!:\resource\apps\MobiDrum_0xE556E8E0.rsc"
    "C:\Symbian\9.1\S60_3rd_MR_2\Epoc32\data\z\private\10003a3f\apps\MobiDrum_0xE556E8E0_reg.rsc" -"!:\private\10003a3f\import\apps\MobiDrum_0xE556E8E0_reg.rsc"
    "C:\Symbian\9.1\S60_3rd_MR_2\Epoc32\data\z\resource\apps\MobiDrum_0xE556E8E0.mif" -"!:\resource\apps\MobiDrum_0xE556E8E0.mif"
    "C:\Symbian\9.1\S60_3rd_MR_2\Epoc32\data\z\resource\ListBox.mbm" -"!:\resource\ListBox.mbm"

    "C:\Symbian\9.1\S60_3rd_MR_2\Epoc32\winscw\c\ShareFileRes.xml" -"!:\ShareFileRes.xml"
    "C:\Symbian\9.1\S60_3rd_MR_2\Epoc32\winscw\c\mytestfile.xml" -"!:\mytestfile.xml"
    "C:\Symbian\9.1\S60_3rd_MR_2\Epoc32\winscw\c\MyStatusFile.xml" -"!:\MyStatusFile.xml"
    "C:\Symbian\9.1\S60_3rd_MR_2\Epoc32\winscw\c\MyShareFile.xml" -"!:\MyShareFile.xml"

    "..\help\MobiDrum_0xE556E8E0.hlp" -"!:\resource\help\MobiDrum_0xE556E8E0.hlp"
    "C:\ErrRd" -"!:\resource\ErrRd"

    ; Add any installation notes if applicable
    ;"MobiDrum.txt" -"!:\private\E556E8E0\MobiDrum.txt"

    ;required for application to be covered by backup/restore facility
    "..\sis\backup_registration.xml" -"!:\private\E556E8E0\backup_registration.xml"
    Regards,
    Kavit.

  4. #4
    Nokia Developer Moderator
    Join Date
    Feb 2006
    Location
    Oslo, Norway
    Posts
    28,675

    Re: Update Error on N80 & E61

    My first guess would be
    "C:\ErrRd" -"!:\resource\ErrRd"
    ErrRd is better installed by a completely separated package (for example by the one which is downloadable from the Wiki).
    But your .xml files in the root can also cause the error, and \resource\ListBox.mbm too.

  5. #5
    Registered User
    Join Date
    Nov 2007
    Posts
    444

    Re: Update Error on N80 & E61

    Thanks Wizard_hu,

    I think I have to do following changes.

    1) Remove ErrRd installation line from mmp or install it saparately.
    2) Move .xml files in my private folder.
    3) Rename the ListBox.mbm with some other name like MobiDrumIcon.mbm.
    Am I right?

    Another I have to put that mbm in \resource or where I have to put it?


    Regards,
    Kavit.

  6. #6
    Nokia Developer Moderator
    Join Date
    Feb 2006
    Location
    Oslo, Norway
    Posts
    28,675

    Re: Update Error on N80 & E61

    Quote Originally Posted by Kavit Patel View Post
    I think I have to do following changes.

    1) Remove ErrRd installation line from mmp or install it saparately.
    In fact this is the only "have to"
    2) Move .xml files in my private folder.
    3) Rename the ListBox.mbm with some other name like MobiDrumIcon.mbm.
    These are just good ideas.
    Another I have to put that mbm in \resource or where I have to put it?
    \resource is generally a good location for .mbm/.mif files. That is why a "more unique" name is suggested (you can attach the UID for example, as the code generator automatically does - check the .exe, the .rsc-s and the icon file).

  7. #7
    Regular Contributor
    Join Date
    Feb 2008
    Posts
    75

    Re: Update Error on N80 & E61

    Hi Kavit,
    Even i m getting the same error on e61i for the same capabilities. Can you please suggest me what did u do for getting rid of it.

    BR,
    Saritha

  8. #8
    Nokia Developer Moderator
    Join Date
    Feb 2006
    Location
    Oslo, Norway
    Posts
    28,675

    Re: Update Error on N80 & E61

    Quote Originally Posted by Saritha Reddy View Post
    Even i m getting the same error on e61i for the same capabilities.
    Which "same" error do you get?

  9. #9
    Regular Contributor
    Join Date
    Feb 2008
    Posts
    75

    Re: Update Error on N80 & E61

    Hi Wizard_hu ,

    I got "update error" if i change the UID in all (pkg , mmp , application and reg file) and if i retain the uid as the first and try to install on phone it throws "unable to install the application from untrusted supplier " . For this i generated the self-signed certificate but i m unable to add that certificate in the certificate manager. kindly Help me in this issue. I m using e61i phone.

    BR,
    Saritha

  10. #10
    Nokia Developer Moderator
    Join Date
    Feb 2006
    Location
    Oslo, Norway
    Posts
    28,675

    Re: Update Error on N80 & E61

    Update error comes from files which are already there. Try uninstalling the application first.
    Untrusted stuff appears if you are trying to use UID-s from the protected range (<0x80000000) with self-signing. However it might be due to the fact that E-Series devices come with installation restrictions by default (check Settings of Application Manager, and enable installation of "All" - instead of "Signed Only").

Similar Threads

  1. Software Update E61
    By thiagoficina in forum Series 40 & S60 Platform Feedback Archive
    Replies: 4
    Last Post: 2007-06-12, 22:22
  2. CommConnection, N80, E61.
    By bokiteam2001 in forum Mobile Java General
    Replies: 2
    Last Post: 2007-06-06, 02:33
  3. N80 calendar entries restore (after firmware update)
    By levnrg in forum PC Suite API and PC Connectivity SDK
    Replies: 1
    Last Post: 2007-02-04, 15:02
  4. N80 memory card problem after update
    By fjorge_ht in forum General Development Questions
    Replies: 6
    Last Post: 2006-11-04, 16:59

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×